View Issue Details

IDProjectCategoryView StatusLast Update
0032633Open CASCADEOCCT:DRAWpublic2021-10-24 10:23
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityintegration request 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032633: Draw Harness - extend command incmesh to apply default visualization parameters
Description`incmesh` command doesn't provide default linear deflection and defines angular deflection to 28.6 degrees (0.5 radians), which is different from 20 degrees used by default in visualization (Prs3d_Drawer::DeviationAngle()).

This makes it clumsy reproducing similar tessellation to be produced by `vdisplay` and `incmesh` commands.
It is proposed extending `incmesh` command with an option `-prs` which would apply deflection parameters similar to visualization defaults (e.g. like StdPrs_ToolTriangulatedShape::Tessellate()).

In addition, command `vdisplay` and `XDisplay` could be extended with option `-autoTriangulation` to conditionally disable autotriangulation within particular AIS presentation (compared to `vdefaults -autoTriangulation` affecting all presentations).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

related to 0025445 closedbugmaster Draw command incmesh should support all parameters used in BRepMesh 

Activities

git

2021-10-19 22:08

administrator   ~0104752

Branch CR32633 has been created by kgv.

SHA-1: 80943617efdc42def2a71e3b97435190c1d641c7


Detailed log of new commits:

Author: kgv
Date: Tue Oct 19 21:34:18 2021 +0300

    0032633: Draw Harness - extend command incmesh to apply default visualization parameters
    
    incmesh - added -prs option to use StdPrs_ToolTriangulatedShape::GetDeflection() as meshing parameters.
    vdisplay, XDisplay - added -autoTriangulation option to manage meshing behavior before displaying a shape.
    trinfo - added output of meshing parameters.

git

2021-10-20 09:25

administrator   ~0104754

Branch CR32633 has been updated forcibly by kgv.

SHA-1: 905c5bee2b305bfe78c49bb6183bc77f38388af7

git

2021-10-20 13:14

administrator   ~0104762

Branch CR32633 has been updated forcibly by kgv.

SHA-1: 6d2c8dac57811a0a8a969928bc4a757fcfccbf53

git

2021-10-20 18:18

administrator   ~0104766

Branch CR32633 has been updated forcibly by kgv.

SHA-1: 349dadb90fb2cc59df618a914f2c6d5b6e0b59a1

kgv

2021-10-20 18:20

developer   ~0104767

Patch is ready for review
- OCCT: branch CR32633.

http://jenkins-test-occt.nnov.opencascade.com/view/CR32633-master-KGV/

osa

2021-10-21 09:24

developer   ~0104774

The patch was reviewed

smoskvin

2021-10-23 17:00

administrator   ~0104817

Combination -
OCCT branch : IR-2021-10-22
master SHA - 5b756182c269a3d4fc19b82fe8527f0fcabf5c57
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-22 SHA - c472aa8da77ba932a88c890c58c81b09f9ae00b5
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17750.01000000046 / 17700.080000000395 [+0.28%]
Products
Total CPU difference: 11624.980000000118 / 11665.940000000111 [-0.35%]
Windows-64-VC14:
OCCT
---
Products
---


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-10-24 10:23

administrator   ~0104838

Branch CR32633 has been deleted by mnt.

SHA-1: 349dadb90fb2cc59df618a914f2c6d5b6e0b59a1

Related Changesets

occt: master 005caf39

2021-10-19 18:34:18

kgv


Committer: smoskvin Details Diff
0032633: Draw Harness - extend command incmesh to apply default visualization parameters

incmesh - added -prs option to use StdPrs_ToolTriangulatedShape::GetDeflection() as meshing parameters.
vdisplay, XDisplay - added -autoTriangulation option to manage meshing behavior before displaying a shape.
trinfo - added output of meshing parameters.
Fixed broken incmesh syntax usage in several test cases.
Affected Issues
0032633
mod - src/DrawResources/CheckCommands.tcl Diff File
mod - src/MeshTest/MeshTest.cxx Diff File
mod - src/ViewerTest/ViewerTest.cxx Diff File
mod - src/XDEDRAW/XDEDRAW.cxx Diff File
mod - tests/bugs/mesh/bug25281 Diff File
mod - tests/hlr/poly_hlr/bug23625_1 Diff File
mod - tests/mesh/advanced_incmesh/begin Diff File
mod - tests/mesh/advanced_incmesh_parallel/begin Diff File
mod - tests/mesh/end Diff File
mod - tests/mesh/standard_incmesh/begin Diff File
mod - tests/mesh/standard_incmesh_parallel/begin Diff File
mod - tests/perf/mesh/bug26889_1 Diff File
mod - tests/perf/mesh/bug26889_2 Diff File
mod - tests/perf/mesh/bug26889_3 Diff File
mod - tests/v3d/bugs/bug23200_1 Diff File

Issue History

Date Modified Username Field Change
2021-10-19 12:22 kgv New Issue
2021-10-19 12:22 kgv Assigned To => kgv
2021-10-19 22:08 git Note Added: 0104752
2021-10-20 09:25 git Note Added: 0104754
2021-10-20 12:54 kgv Relationship added related to 0025445
2021-10-20 13:14 git Note Added: 0104762
2021-10-20 18:18 git Note Added: 0104766
2021-10-20 18:20 kgv Test case number => N/A
2021-10-20 18:20 kgv Note Added: 0104767
2021-10-20 18:20 kgv Assigned To kgv => osa
2021-10-20 18:20 kgv Status new => resolved
2021-10-21 09:24 osa Note Added: 0104774
2021-10-21 09:24 osa Assigned To osa => bugmaster
2021-10-21 09:24 osa Status resolved => reviewed
2021-10-23 17:00 smoskvin Note Added: 0104817
2021-10-23 17:00 smoskvin Status reviewed => tested
2021-10-23 20:49 smoskvin Changeset attached => occt master 005caf39
2021-10-23 20:49 smoskvin Assigned To bugmaster => smoskvin
2021-10-23 20:49 smoskvin Status tested => verified
2021-10-23 20:49 smoskvin Resolution open => fixed
2021-10-24 10:23 git Note Added: 0104838